Package com.independentsoft.office.word.styles

# Class Style

java.lang.Object
com.independentsoft.office.word.styles.Style

public class Style extends Object
The Class Style.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Style()`
  Instantiates a new style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Style`
  `clone()`
  `String`
  `getAliases()`
  Gets the aliases.
  `ExtendedBoolean`
  `getAutoRedefine()`
  Gets the auto redefine.
  `CellProperties`
  `getCellProperties()`
  Gets the cell properties.
  `ExtendedBoolean`
  `getDefault()`
  Gets the default.
  `ExtendedBoolean`
  `getHidden()`
  Gets the hidden.
  `String`
  `getID()`
  Gets the id.
  `ExtendedBoolean`
  `getIsCustomStyle()`
  Gets the checks if is custom style.
  `String`
  `getLinkedStyleID()`
  Gets the linked style id.
  `ExtendedBoolean`
  `getLocked()`
  Gets the locked.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getNext()`
  Gets the next.
  `ParagraphProperties`
  `getParagraphProperties()`
  Gets the paragraph properties.
  `String`
  `getParentStyleID()`
  Gets the parent style id.
  `ExtendedBoolean`
  `getPersonal()`
  Gets the personal.
  `ExtendedBoolean`
  `getPersonalCompose()`
  Gets the personal compose.
  `ExtendedBoolean`
  `getPersonalReply()`
  Gets the personal reply.
  `ExtendedBoolean`
  `getPrimary()`
  Gets the primary.
  `String`
  `getRevisionID()`
  Gets the revision id.
  `RowProperties`
  `getRowProperties()`
  Gets the row properties.
  `RunProperties`
  `getRunProperties()`
  Gets the run properties.
  `ExtendedBoolean`
  `getSemiHidden()`
  Gets the semi hidden.
  `TableProperties`
  `getTableProperties()`
  Gets the table properties.
  `List<TableStyleConditionalFormattingProperties>`
  `getTableStyleConditionalFormattings()`
  Gets the table style conditional formattings.
  `StyleType`
  `getType()`
  Gets the type.
  `ExtendedBoolean`
  `getUnhideWhenUsed()`
  Gets the unhide when used.
  `int`
  `getUniqueID()`
  Gets the unique id.
  `int`
  `getUserInterfacePriority()`
  Gets the user interface priority.
  `void`
  `setAliases​(String aliases)`
  Sets the aliases.
  `void`
  `setAutoRedefine​(ExtendedBoolean autoRedefine)`
  Sets the auto redefine.
  `void`
  `setDefault​(ExtendedBoolean isDefault)`
  Sets the default.
  `void`
  `setHidden​(ExtendedBoolean hidden)`
  Sets the hidden.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setIsCustomStyle​(ExtendedBoolean isCustomStyle)`
  Sets the checks if is custom style.
  `void`
  `setLinkedStyleID​(String linkedStyleID)`
  Sets the linked style id.
  `void`
  `setLocked​(ExtendedBoolean locked)`
  Sets the locked.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNext​(String next)`
  Sets the next.
  `void`
  `setParentStyleID​(String parentStyleID)`
  Sets the parent style id.
  `void`
  `setPersonal​(ExtendedBoolean personal)`
  Sets the personal.
  `void`
  `setPersonalCompose​(ExtendedBoolean personalCompose)`
  Sets the personal compose.
  `void`
  `setPersonalReply​(ExtendedBoolean personalReply)`
  Sets the personal reply.
  `void`
  `setPrimary​(ExtendedBoolean primary)`
  Sets the primary.
  `void`
  `setRevisionID​(String revisionID)`
  Sets the revision id.
  `void`
  `setSemiHidden​(ExtendedBoolean semiHidden)`
  Sets the semi hidden.
  `void`
  `setType​(StyleType type)`
  Sets the type.
  `void`
  `setUnhideWhenUsed​(ExtendedBoolean unhideWhenUsed)`
  Sets the unhide when used.
  `void`
  `setUniqueID​(int uniqueID)`
  Sets the unique id.
  `void`
  `setUserInterfacePriority​(int uiPriority)`
  Sets the user interface priority.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Style

    public Style()
    Instantiates a new style.

- ## Method Details

  - ### clone

    public Style clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getParagraphProperties

    public ParagraphProperties getParagraphProperties()
    Gets the paragraph properties.
    Returns:
      the paragraph properties

  - ### getRunProperties

    public RunProperties getRunProperties()
    Gets the run properties.
    Returns:
      the run properties

  - ### getTableProperties

    public TableProperties getTableProperties()
    Gets the table properties.
    Returns:
      the table properties

  - ### getRowProperties

    public RowProperties getRowProperties()
    Gets the row properties.
    Returns:
      the row properties

  - ### getCellProperties

    public CellProperties getCellProperties()
    Gets the cell properties.
    Returns:
      the cell properties

  - ### getTableStyleConditionalFormattings

    public List<TableStyleConditionalFormattingProperties> getTableStyleConditionalFormattings()
    Gets the table style conditional formattings.
    Returns:
      the table style conditional formattings

  - ### getAliases

    public String getAliases()
    Gets the aliases.
    Returns:
      the aliases

  - ### setAliases

    public void setAliases​(String aliases)
    Sets the aliases.
    Parameters:
      `aliases` - the new aliases

  - ### getAutoRedefine

    public ExtendedBoolean getAutoRedefine()
    Gets the auto redefine.
    Returns:
      the auto redefine

  - ### setAutoRedefine

    public void setAutoRedefine​(ExtendedBoolean autoRedefine)
    Sets the auto redefine.
    Parameters:
      `autoRedefine` - the new auto redefine

  - ### getHidden

    public ExtendedBoolean getHidden()
    Gets the hidden.
    Returns:
      the hidden

  - ### setHidden

    public void setHidden​(ExtendedBoolean hidden)
    Sets the hidden.
    Parameters:
      `hidden` - the new hidden

  - ### getSemiHidden

    public ExtendedBoolean getSemiHidden()
    Gets the semi hidden.
    Returns:
      the semi hidden

  - ### setSemiHidden

    public void setSemiHidden​(ExtendedBoolean semiHidden)
    Sets the semi hidden.
    Parameters:
      `semiHidden` - the new semi hidden

  - ### getLocked

    public ExtendedBoolean getLocked()
    Gets the locked.
    Returns:
      the locked

  - ### setLocked

    public void setLocked​(ExtendedBoolean locked)
    Sets the locked.
    Parameters:
      `locked` - the new locked

  - ### getPersonal

    public ExtendedBoolean getPersonal()
    Gets the personal.
    Returns:
      the personal

  - ### setPersonal

    public void setPersonal​(ExtendedBoolean personal)
    Sets the personal.
    Parameters:
      `personal` - the new personal

  - ### getPersonalCompose

    public ExtendedBoolean getPersonalCompose()
    Gets the personal compose.
    Returns:
      the personal compose

  - ### setPersonalCompose

    public void setPersonalCompose​(ExtendedBoolean personalCompose)
    Sets the personal compose.
    Parameters:
      `personalCompose` - the new personal compose

  - ### getPersonalReply

    public ExtendedBoolean getPersonalReply()
    Gets the personal reply.
    Returns:
      the personal reply

  - ### setPersonalReply

    public void setPersonalReply​(ExtendedBoolean personalReply)
    Sets the personal reply.
    Parameters:
      `personalReply` - the new personal reply

  - ### getUserInterfacePriority

    public int getUserInterfacePriority()
    Gets the user interface priority.
    Returns:
      the user interface priority

  - ### setUserInterfacePriority

    public void setUserInterfacePriority​(int uiPriority)
    Sets the user interface priority.
    Parameters:
      `uiPriority` - the new user interface priority

  - ### getUnhideWhenUsed

    public ExtendedBoolean getUnhideWhenUsed()
    Gets the unhide when used.
    Returns:
      the unhide when used

  - ### setUnhideWhenUsed

    public void setUnhideWhenUsed​(ExtendedBoolean unhideWhenUsed)
    Sets the unhide when used.
    Parameters:
      `unhideWhenUsed` - the new unhide when used

  - ### getPrimary

    public ExtendedBoolean getPrimary()
    Gets the primary.
    Returns:
      the primary

  - ### setPrimary

    public void setPrimary​(ExtendedBoolean primary)
    Sets the primary.
    Parameters:
      `primary` - the new primary

  - ### getParentStyleID

    public String getParentStyleID()
    Gets the parent style id.
    Returns:
      the parent style id

  - ### setParentStyleID

    public void setParentStyleID​(String parentStyleID)
    Sets the parent style id.
    Parameters:
      `parentStyleID` - the new parent style id

  - ### getLinkedStyleID

    public String getLinkedStyleID()
    Gets the linked style id.
    Returns:
      the linked style id

  - ### setLinkedStyleID

    public void setLinkedStyleID​(String linkedStyleID)
    Sets the linked style id.
    Parameters:
      `linkedStyleID` - the new linked style id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getNext

    public String getNext()
    Gets the next.
    Returns:
      the next

  - ### setNext

    public void setNext​(String next)
    Sets the next.
    Parameters:
      `next` - the new next

  - ### getUniqueID

    public int getUniqueID()
    Gets the unique id.
    Returns:
      the unique id

  - ### setUniqueID

    public void setUniqueID​(int uniqueID)
    Sets the unique id.
    Parameters:
      `uniqueID` - the new unique id

  - ### getRevisionID

    public String getRevisionID()
    Gets the revision id.
    Returns:
      the revision id

  - ### setRevisionID

    public void setRevisionID​(String revisionID)
    Sets the revision id.
    Parameters:
      `revisionID` - the new revision id

  - ### getIsCustomStyle

    public ExtendedBoolean getIsCustomStyle()
    Gets the checks if is custom style.
    Returns:
      the checks if is custom style

  - ### setIsCustomStyle

    public void setIsCustomStyle​(ExtendedBoolean isCustomStyle)
    Sets the checks if is custom style.
    Parameters:
      `isCustomStyle` - the new checks if is custom style

  - ### getDefault

    public ExtendedBoolean getDefault()
    Gets the default.
    Returns:
      the default

  - ### setDefault

    public void setDefault​(ExtendedBoolean isDefault)
    Sets the default.
    Parameters:
      `isDefault` - the new default

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getType

    public StyleType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(StyleType type)
    Sets the type.
    Parameters:
      `type` - the new type